Author Topic: need 5d mkiii firmware 1.2.3 Can anyone help?  (Read 1797 times)

hughhill

  • Just arrived
  • *
  • Posts: 1
need 5d mkiii firmware 1.2.3 Can anyone help?
« on: December 14, 2015, 01:18:40 AM »
Hello I have a 5D MK iii with fw version 1.3.3 and I want to downgrade but cant find the firmware I am after anywhere I need 5d mkiii firmware 1.2.3 


 Can anyone help?


Much appreciated.


Hugh

dfort

  • Developer
  • Hero Member
  • *****
  • Posts: 3748
Re: need 5d mkiii firmware 1.2.3 Can anyone help?
« Reply #1 on: December 14, 2015, 04:16:51 AM »
http://pel.hu/eoscard/

Scroll down to see all the firmware versions.
5D3.* 7D.206 700D.115 EOSM.203 EOSM2.103 M50.102